Skip to main content
GET
/
v0
/
fees
/
{id}
/
price
/
{subscriptionId}
Get Fee Price
curl --request GET \
  --url https://api.paygentic.io/v0/fees/{id}/price/{subscriptionId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "price_abc123",
  "feeId": "fee_w9x0y1z2a3b4c5d6",
  "model": "standard",
  "paymentTerm": "in_advance",
  "invoiceDisplayName": "Setup Fee",
  "properties": {
    "unitPrice": "10.00"
  },
  "taxRate": 10
}

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

The unique identifier of the fee.

Pattern: ^fee_[a-zA-Z0-9]+$
subscriptionId
string
required

The unique identifier of the subscription.

Pattern: ^sub_[a-zA-Z0-9]+$

Response

Fee price details

The price configuration for a fee within a subscription context.

id
string
required

The unique identifier of the price.

Pattern: ^price_[a-zA-Z0-9]+$
feeId
string
required

The unique identifier of the fee.

Pattern: ^fee_[a-zA-Z0-9]+$
model
enum<string>
required

The pricing model. Fees only support standard pricing.

Available options:
standard
paymentTerm
enum<string>
required

When the fee is charged relative to the billing period.

Available options:
in_advance,
in_arrears
invoiceDisplayName
string
required

The name to display on invoices for this fee.

properties
object
required
taxRate
number

The tax rate as a percentage (e.g., 10 for 10%).